Name:           vokoscreenNG
Version:        3.6.0
Release:        %mkrel 1
Summary:        User friendly Open Source screencaster
Group:          Video/Editors and Converters

License:        GPLv2
URL:            https://github.com/vkohaupt/vokoscreenNG
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  intltool
BuildRequires:  cmake(Qt5)
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  cmake(Qt5Multimedia)
BuildRequires:  cmake(Qt5X11Extras)
BuildRequires:  pkgconfig(gstreamermm-1.0)
BuildRequires:  pkgconfig(x11)

%description
VokscreenNG is a user friendly Open Source screencaster for Linux and Windows.
The new name is now vokoscreenNG and has been rewritten from scratch.

%prep
%autosetup -p1
mkdir -p src/%{_target_platform}

%build
pushd src/%{_target_platform}
%qmake_qt5 ..
popd
%make_build -C src/%{_target_platform}

%install
%make_install -C src/%{_target_platform}
install -m 0755 -Dp src/%{_target_platform}/%{name} \
    %{buildroot}%{_bindir}/%{name}

# Desktop file
install -m 0644 -Dp src/applications/%{name}.desktop \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

# Icon
install -m 0644 -Dp src/applications/%{name}.png \
    %{buildroot}%{_datadir}/pixmaps/%{name}.png

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%files
%doc COPYING
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png


%changelog
* Thu May 18 2023 guillomovitch <guillomovitch> 3.6.0-1.mga9
+ Revision: 1957251
- new version 3.6.0

* Sat Jan 07 2023 guillomovitch <guillomovitch> 3.5.0-1.mga9
+ Revision: 1930977
- new version 3.5.0

* Sat Oct 01 2022 guillomovitch <guillomovitch> 3.4.0-1.mga9
+ Revision: 1893634
- new version 3.4.0

* Sat Jul 09 2022 guillomovitch <guillomovitch> 3.3.0-1.mga9
+ Revision: 1868101
- new version 3.3.0

* Sat Apr 02 2022 guillomovitch <guillomovitch> 3.2.0-1.mga9
+ Revision: 1841019
- new version 3.2.0

* Sun Jan 16 2022 guillomovitch <guillomovitch> 3.1.0-1.mga9
+ Revision: 1768688
- new version 3.1.0

* Tue Jul 13 2021 guillomovitch <guillomovitch> 3.0.9-1.mga9
+ Revision: 1735939
- new version 3.0.9

* Fri Feb 26 2021 guillomovitch <guillomovitch> 3.0.8-1.mga9
+ Revision: 1691692
- new version 3.0.8

* Thu Dec 17 2020 umeabot <umeabot> 3.0.7-2.mga9
+ Revision: 1660253
- Rebuild for new Qt5

* Tue Nov 10 2020 guillomovitch <guillomovitch> 3.0.7-1.mga8
+ Revision: 1644274
- imported package vokoscreenNG

